Subject: Re: Turn Around Time
From: TJ Bourdeau <[email-masked]>
To: Caanan from Finnrick <[email-masked]>
Date: Tue, 17 Feb 2026 14:02:09 -0500

So if I’m understanding you would reserve 2 of the 4 as a standard. So if I’m sourcing from multiple vendors you would need that for each vendor I use. Then how many for every subsequent test after that? Still 4 or is it then only 2 each test?

TJ

On Feb 17, 2026, at 1:54 PM, Caanan from Finnrick <[email-masked]> wrote:

Hi TJ,

Thanks for the follow-up! Since you’re sourcing from other manufacturers and not manufacturing yourself, you would still set up a vendor profile. We’d need 4 vials from the specific manufacturer’s product you plan to sell, as the data is tied to their batch. If you choose to sell based on the testing results, that works perfectly.

Let me know if you have any more questions!

Best,

Caanan

On 2026-02-17 18:15:54, Tj Bourdeau <[email-masked]> wrote:

Sorry one more question

I don’t know if I set up my account correctly. I’m not a manufacturer but help source from other manufacturers. So would that still be a vendor profile and you would still need 4 vials? The data would be associated with the manufacturer that I source from but then I guess in some way me if it’s one I choose to sell based off the testing result.

Thank you

TJ

On Feb 12, 2026, at 8:25 AM, TJ Bourdeau <[email-masked]> wrote:

Thank you. Is it only peptides or if a supplier offers vitamin mixes do you test those as well?

TJ

On Feb 11, 2026, at 1:27 PM, Caanan from Finnrick <[email-masked]> wrote:

Hi TJ,

Appreciate you reaching out!

Standard time is a 2-3 week turnaround. Expedited is one week.

Thanks

-Caanan

On 2026-02-13 17:34:46, Finnrick Analytics <[email-masked]> wrote:

Hi TJ,

Thanks for your question! Currently, we only test peptides and related compounds listed on our site. We don't offer testing for vitamin mixes at this time.

Let me know if you have any other questions!

Best,

Caanan

On 2026-02-12 13:25:12, Tj Bourdeau <[email-masked]> wrote:

Thank you. Is it only peptides or if a supplier offers vitamin mixes do you test those as well?

TJ

On Feb 11, 2026, at 1:27 PM, Caanan from Finnrick <[email-masked]> wrote:

Hi TJ,

Appreciate you reaching out!

Standard time is a 2-3 week turnaround. Expedited is one week.

Thanks

-Caanan

On 2026-02-11 18:26:54, Finnrick Analytics <[email-masked]> wrote:

Hi TJ,

Appreciate you reaching out!

Standard time is a 2-3 week turnaround. Expedited is one week.

Thanks

-Caanan

On 2026-02-11 17:04:29, Tj Bourdeau <[email-masked]> wrote:

From the time you receive the sample what is your turn around time for results?

TJ